# Features & roadmap

* Matrix → Messenger/Instagram
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Files (Messenger only)
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [ ] Locations
      * [ ] Polls
    * [ ] Formatting (Messenger only)
    * [x] Replies
    * [ ] Mentions
  * [x] Message redactions
  * [x] Message reactions
  * [x] Message edits
  * [ ] Presence
  * [ ] Typing notifications (may not be possible, not supported on IG/FB web clients)
  * [x] Read receipts
  * [ ] Power level
  * [ ] Membership actions
    * [ ] Invite
    * [ ] Kick
    * [ ] Leave
  * [ ] Room metadata changes
    * [ ] Name
    * [ ] Avatar
    * [ ] Per-room user nick
* Messenger/Instagram → Matrix
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Images
      * [x] Videos
      * [x] Gifs
      * [x] Stickers
      * [x] Files
      * [x] Voice messages
      * [x] Locations
      * [ ] Polls
      * [ ] Live location sharing
      * [x] Story/reel/clip shares
      * [x] Profile shares
      * [ ] Product shares
    * [ ] Formatting (Messenger only)
    * [x] Replies
    * [x] Mentions
    * [ ] Polls
  * [x] Message unsend
  * [x] Message reactions
  * [x] Message edits
  * [x] Message history
  * [ ] Presence
  * [x] Typing notifications
  * [x] Read receipts
  * [ ] Admin status
  * [ ] Membership actions
    * [ ] Add member
    * [ ] Remove member
    * [ ] Leave
  * [x] Chat metadata changes
    * [x] Title
    * [x] Avatar
  * [x] Initial chat metadata
  * [x] User metadata
    * [x] Name
    * [ ] Per-chat nickname
    * [x] Avatar
* Matrix → WhatsApp
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Files
      * [x] Voice messages
      * [x] Videos
      * [x] Images
      * [x] Stickers
      * [x] Gifs
      * [ ] Locations
      * [ ] Polls
    * [ ] Formatting (Messenger only)
    * [x] Replies
    * [ ] Mentions
  * [x] Message redactions
  * [x] Message reactions
  * [x] Message edits
  * [ ] Writing to chat backup
  * [ ] Presence
  * [ ] Typing notifications
  * [x] Read receipts
  * [ ] Power level
  * [ ] Membership actions
    * [ ] Invite
    * [ ] Kick
    * [ ] Leave
  * [ ] Room metadata changes
    * [ ] Name
    * [ ] Avatar
    * [ ] Per-room user nick
* WhatsApp → Matrix
  * [ ] Message content
    * [x] Text
    * [ ] Media
      * [x] Images
      * [x] Videos
      * [x] Gifs
      * [x] Stickers
      * [x] Files
      * [x] Voice messages
      * [x] Locations
      * [ ] Polls
      * [ ] Live location sharing
      * [ ] Story/reel/clip shares
      * [ ] Profile shares
      * [ ] Product shares
    * [ ] Formatting (Messenger only)
    * [x] Replies
    * [x] Mentions
    * [ ] Polls
  * [x] Message unsend
  * [x] Message reactions
  * [x] Message edits
  * [ ] Message history/Reading chat backup
  * [ ] Presence
  * [ ] Typing notifications
  * [x] Read receipts
  * [ ] Admin status
  * [ ] Membership actions
    * [ ] Add member
    * [ ] Remove member
    * [ ] Leave
  * [ ] Chat metadata changes
    * [ ] Title
    * [ ] Avatar
  * [ ] Initial chat metadata
  * [ ] User metadata
    * [ ] Name
    * [ ] Per-chat nickname
    * [ ] Avatar
* Misc
  * [x] Multi-user support
  * [x] Shared group chat portals
  * [x] Messenger encryption
  * [x] Matrix encryption
  * [x] Automatic portal creation
    * [x] At startup
    * [x] When added to chat
    * [x] When receiving message
  * [x] Private chat creation by inviting Matrix puppet of Messenger/Instagram user to new room
  * [x] Option to use own Matrix account for messages sent from other Messenger/Instagram clients
